0

Fatrat is not available in the official repository of Ubuntu. How to install it? What dependencies are required?

Official Website - http://fatrat.dolezel.info/

Official Github - https://github.com/LubosD/fatrat

  • 1
    anachronism--question is dated November 2015 and it's about Ubuntu 2018. – WinEunuuchs2Unix Jul 16 '18 at 22:44
  • @WinEunuuchs2Unix I edited the question recently to ask about the instructions for installing it in 18.04 – Lincity Jul 19 '18 at 18:35
8
+500

You can compile and install fatrat from source as shown in following steps.

First You need to install following libraries as shown in exact following sequence.

Note: Here sequence matters.

sudo apt install build-essential cmake qtbase5-dev qttools5-dev pkg-config libtorrent-rasterbar9 libtorrent-rasterbar-dbg libboost1.62-dev libboost-date-time1.62.0 libboost-date-time1.62-dev libboost-date-time1.62-dev libtorrent-dev libboost-serialization1.62-dev libboost1.62-dev

sudo apt install libqt5svg5-dev 
sudo apt install libtorrent-rasterbar-dev libtorrent-rasterbar-dbg libboost-system-dev  libboost-system1.65-dev  libboost1.65-dev
sudo apt install libboost-date-time1.65-dev 

Once required libraries are installed. You can compile source from fatrat git repository and install.

git clone https://github.com/LubosD/fatrat && cd fatrat/
sudo cmake . -DWITH_BITTORRENT=ON -DWITH_SFTP=ON -DCMAKE_INSTALL_PREFIX=/usr
sudo make && sudo make install

To Enable downloading with HTTP links in Fatrat, You need to install following dependencies along above dependencies and use extra switch WITH_CURL.

sudo apt install qtwebengine5-dev
sudo apt install libcurl4-openssl-dev

Compile Source code with extra switch WITH_CURL.

sudo cmake . -DWITH_BITTORRENT=ON -DWITH_SFTP=ON -DWITH_CURL=ON -DCMAKE_INSTALL_PREFIX=/usr
sudo make && sudo make install

All steps have been tested on Ubuntu 18.04.

| improve this answer | |
  • Thanks this works but cannot download HTTP links only torrent files. I assume CURL needs to be enabled for that. Is there a way to enable CURL? – Lincity Jul 19 '18 at 18:37
  • 2
    You can do it with using WITH_CURL switch while compiling source code. – KK Patel Jul 19 '18 at 19:35
  • Dependency problems and compilation errors if I enable the WITH_CURL switch. Anyway I'm awarding you the bounty because technically I specified using the source code and finding dependencies and didn't specify CURL. – Lincity Jul 20 '18 at 12:39
  • 1
    You need to install two more dependencies for it and compile source code again. Edited answer for solution. – KK Patel Jul 20 '18 at 13:51
4
+500

Ubuntu 18.04 LTS (Bionic Beaver)

I tried to make search in all PPAs for fatrat:

https://launchpad.net/ubuntu/+ppas?name_filter=fatrat

And got the following PPA: ppa:alex-p/notesalexp-bionic.

You can add it to system and install fatrat version 1.2.0+git20180628-1ppa1~bionic1:

sudo add-apt-repository ppa:alex-p/notesalexp-bionic
sudo apt-get install fatrat

It will be installed in Internet category, it great and has tray icon (tested on MATE):

FatRat on Ubuntu MATE 18.04 LTS

| improve this answer | |
  • 1
    Shouldn't these be the accepted answer? It seems much simpler. – WinEunuuchs2Unix Jul 21 '18 at 22:05
1

ubuntu 15.10

This is what I gather from the download and installation pages:

sudo apt-get install libgloox-dev libcurl4-openssl-dev libpion-dev libqt5svg5-dev libqt5svg5-private-dev libboost-date-time1.58-dev qttools5-dev-tools qttools5-dev-tools libtorrent-rasterbar-dev cmake git
git clone git://git.dolezel.info/fatrat.git
cd fatrat
cmake . -DWITH_BITTORRENT=ON -DWITH_SFTP=ON -DWITH_CURL=ON
make
sudo make install
fatrat
| improve this answer | |
  • There is a error which I have included in my question. – Lincity Nov 18 '15 at 16:11
  • Well, it says on the download page that the program needs QT. So you need to install that too. See here: qt.io/download – Jos Nov 18 '15 at 17:07
  • I get a different error now. – Lincity Nov 19 '15 at 9:38
  • 2
    You keep changing the subject of the question, which does not help future posters. If you need, ask a separate question. However, the error above clearly states what is wrong: you need the libtorrent-rasterbar package. A tiny bit of googling tells me that you can download that here. – Jos Nov 19 '15 at 10:00
1

ubuntu 15.10

You can install it simply by adding this PPA first:

sudo add-apt-repository ppa:nilarimogard/webupd8

Then install using:

sudo apt-get update && sudo apt-get install fatrat
| improve this answer | |
0

ubuntu 15.10

You can install FatRat Download manager from Ubuntu Software Center,It is available in Ubuntu repository.There is no need to add unnecessary PPA for this.

| improve this answer | |

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.